Bug 1027108 - Pasting with the middle mouse button from the buffer to the search field sometimes looses characters
Pasting with the middle mouse button from the buffer to the search field some...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 02:49 EST by Mike FABIAN
Modified: 2016-07-19 06:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:34:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libreoffice-pasting-with-middle-mouse-into-search-field-looses-characters.ogv (564.99 KB, video/ogg)
2013-11-06 02:49 EST, Mike FABIAN
no flags Details
pasting-into-buffer-then-search-field-then-gedit.ogv (134.25 KB, application/octet-stream)
2013-11-06 07:03 EST, Mike FABIAN
no flags Details
copy-paste-working-in-kde-from-libreoffice-writer-to-konsole-or-gedit.png (247.38 KB, image/png)
2013-11-06 10:06 EST, Mike FABIAN
no flags Details
fedora-22-beta-pasting-into-search-field-then-buffer-then-gedit-do-not-click-into-search-field-before-pasting.ogv (174.85 KB, application/octet-stream)
2015-04-22 03:46 EDT, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2013-11-06 02:49:20 EST
Created attachment 820229 [details]
libreoffice-pasting-with-middle-mouse-into-search-field-looses-characters.ogv

Tested with Fedora-20-Beta-RC3-x86_64-netinst.iso in qemu, started with:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-RC3/Fedora-20-Beta-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb

libreoffice-writer-4.1.3.2-2.fc20.x86_64

See the attached video.

When marking a string like

   übelta
   日本語
   ପଛଛଆ

in the buffer of libreoffice-writer with the mouse, it can be pasted
without problems somewhere else into the same buffer using the middle
mouse.

However, pasting it with the middle mouse into the search field often
looses some characters at the end of the marked string.

This problem does *not* seem to happen when Control-C, Control-v is used
for copy and paste instead of using the mouse only.
Comment 1 Mike FABIAN 2013-11-06 02:51:44 EST
It does not seem to make a difference whether the text which is copied
and pasted contains non-ASCII characters or not.
Comment 2 Caolan McNamara 2013-11-06 06:43:17 EST
hmm, seems to work for me, and how about if 
a) it's middle pasted into say gedit ?
b) it's middle pasted into the search box *from* gedit ?
Comment 3 Mike FABIAN 2013-11-06 06:51:11 EST
(In reply to Caolan McNamara from comment #2)
> hmm, seems to work for me, and how about if 
> a) it's middle pasted into say gedit ?
> b) it's middle pasted into the search box *from* gedit ?

You can see in the video, that I can mark some text with the mouse,
then paste it without problems somewhere into the same buffer,
then, without changing the mouse selection at all, try to paste
it into the search field and have a few characters cut off, then
still without changing the selection, paste into the buffer again and 
get the complete text pasted.
Comment 4 Mike FABIAN 2013-11-06 07:03:04 EST
Created attachment 820306 [details]
pasting-into-buffer-then-search-field-then-gedit.ogv

Caolan> a) it's middle pasted into say gedit ?

Same problem.

The video shows:

- select "Englis" of the word "English"
- paste into the same buffer where it was selected with the middle mouse,
  → "Englis" is correctly pasted
- paste into the search field
  → "Eng" is pasted
- pasted into gedit
  → "Eng" is pasted

It does not always have to be "Eng", if I repeat that many times,
sometimes just "E" is pasted, sometimes just "En", sometimes "Engli",
sometimes even the complete string.

This problem never seems to happen with Control-c Control-v.
Comment 5 Mike FABIAN 2013-11-06 08:44:32 EST
Now I tried on real hardware, not in  qemu, and I am unable to reproduce
the problem there.

(libreoffice-writer-4.1.3.2-4.fc20.x86_64 on a Thinkpad T520 updated
to Fedora 20 using fedup).

How can this depend on qemu?

It happens in qemu no matter whether I use 

    remote-viewer spice://localhost:6000

or

    vncviewer :4
Comment 6 Caolan McNamara 2013-11-06 09:19:06 EST
hmm, odd. Assuming the problem is in libreoffice, seeing as it affects pasting *into* gedit then the problem has to be on putting the data into the paste buffer rather than taking it out of the buffer. But how that could be affecting by timing or anything that qemu might trigger baffles me
Comment 7 Mike FABIAN 2013-11-06 09:36:03 EST
Also happens when using cirrus instead of qxl, I tested cirrus like this:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-RC3/Fedora-20-Beta-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga cirrus -display vnc=:4 -net nic -net user,hostname=Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb
Comment 8 Mike FABIAN 2013-11-06 09:44:47 EST
Also happens when I use this:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-RC3/Fedora-20-Beta-x86_64-netinst.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display sdl -net nic -net user,hostname=Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb

(I.e. “-display sdl” instead of “-display vnc=:4”, i.e. only the spice
server, no vnc server)
Comment 9 Mike FABIAN 2013-11-06 09:48:20 EST
And the problem also happens if I only use the vnc server but not the
spice server:

ionice -c 3 qemu-kvm -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 4 -drive file=./Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2-output.log -name Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Beta-RC3/Fedora-20-Beta-x86_64-netinst.iso -boot c -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-20-Beta-RC3-x86_64-netinst.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb
Comment 10 Mike FABIAN 2013-11-06 10:06:45 EST
Created attachment 820451 [details]
copy-paste-working-in-kde-from-libreoffice-writer-to-konsole-or-gedit.png

Now with the same qemu command line as in comment#0, 
but using KDE instead of gnome-classic, the same copy&paste
works from libreoffice-writer to konsole or gedit.

(Under KDE, pasting with the middle mouse button into the
libreoffice-writer search entry does not work, clicking the 
middle mouse button over the search entry always pops up 
a search history, never pastes into the search entry)
Comment 11 Mike FABIAN 2013-11-06 10:11:13 EST
But it happens when using cinnamon under the same conditions as in comment#10.
Comment 12 Mike FABIAN 2013-11-06 10:18:49 EST
But in openbox, this copy and paste works fine under the same qemu.
Comment 13 Mike FABIAN 2013-11-06 10:27:11 EST
Under the same qemu in MATE, the problem happens.
Comment 14 Mike FABIAN 2013-11-06 10:29:11 EST
The problem also occurs under XFCE.
Comment 15 Mike FABIAN 2013-11-06 10:31:45 EST
The problem also occurs under LXDE.
Comment 16 Mike FABIAN 2015-04-22 03:46:48 EDT
Created attachment 1017297 [details]
fedora-22-beta-pasting-into-search-field-then-buffer-then-gedit-do-not-click-into-search-field-before-pasting.ogv

The problem still exists in Fedora 22 Beta.
Comment 17 Fedora End Of Life 2016-07-19 06:34:00 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.